package de.fhdw.wtf.tooling.editor;

import java.net.MalformedURLException;
import java.net.URL;

import org.eclipse.core.runtime.Platform;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.graphics.Image;

public class IconProvider {
	
	private static Image classIcon;
	
	private static Image groupIcon;
	
	public static synchronized Image getGroupIcon() {
		// TODO funktioniert noch nicht richtig !!!
		if (groupIcon == null) {
			URL url = null;
			try {
				url = new URL(Platform.getBundle("WTFEditor").getLocation() + "icons/wtf_group.png");
				final ImageDescriptor img = ImageDescriptor.createFromURL(url);
				groupIcon = img.createImage();
			} catch (final MalformedURLException e) {
				// nothing to do
			}
		}
		return groupIcon;
	}
	
	public static synchronized Image getClassIcon() {
		// TODO funktioniert noch nicht richtig !!!
		if (classIcon == null) {
			URL url = null;
			try {
				url = new URL(Platform.getBundle("WTFEditor").getLocation() + "icons/wtf_class.png");
				final ImageDescriptor img = ImageDescriptor.createFromURL(url);
				classIcon = img.createImage();
			} catch (final MalformedURLException e) {
				// nothing to do
			}
		}
		return classIcon;
	}
	
}
